## org.jboss.netty.handler.codec.rtsp
Class RtspMessageEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          org.jboss.netty.handler.codec.http.HttpMessageEncoder
              org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

Direct Known Subclasses:
  RtspRequestEncoder, RtspResponseEncoder

    @ChannelHandler.Sharable
    public abstract class RtspMessageEncoder

extends HttpMessageEncoder

Encodes an RTSP message represented in `HttpMessage` into a `ChannelBuffer`.

Version:
  $Rev: 2243 $, $Date: 2010-04-16 14:01:55 +0900 (Fri, 16 Apr 2010) $
Author:
  The Netty Project, Amit Bhayani, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`protected` `RtspMessageEncoder()` Creates a new instance.

Method Summary
`protected Object` `encode(ChannelHandlerContext ctx, Channel channel, Object msg)` Transforms the specified message into another message and return the transformed message.

Methods inherited from class org.jboss.netty.handler.codec.http.HttpMessageEncoder
`encodeInitialLine`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtspMessageEncoder

    protected RtspMessageEncoder()

  Creates a new instance.

Method Detail

### encode

    protected Object encode(ChannelHandlerContext ctx,
                            Channel channel,
                            Object msg)
                     throws Exception

  Description copied from class: `OneToOneEncoder`
  Transforms the specified message into another message and return the transformed message. Note that you can not return `null`, unlike you can in `OneToOneDecoder.decode(ChannelHandlerContext, Channel, Object)`; you must return something, at least `ChannelBuffers.EMPTY_BUFFER`.

  Overrides:
    `encode` in class `HttpMessageEncoder`
  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.